<html>
<head>
<title>Ogre::SDLGLSupport Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SDLGLSupport.html">SDLGLSupport</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SDLGLSupport Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SDLGLSupport" --><!-- doxytag: inherits="Ogre::GLSupport" -->
<p><code>#include &lt;<a class="el" href="OgreSDLGLSupport_8h_source.html">OgreSDLGLSupport.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SDLGLSupport:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SDLGLSupport__inherit__graph.gif" border="0" usemap="#Ogre_1_1SDLGLSupport_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SDLGLSupport_inherit__map" id="Ogre_1_1SDLGLSupport_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLSupport.html" title="Ogre::GLSupport" alt="" coords="19,5,139,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SDLGLSupport-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a913d7bf7d6134fb76952cb12cb2db9da">SDLGLSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a79554cf3dc82f082a1382d1dd2e5b48e">~SDLGLSupport</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a4ae62e34845caf94549cda6437cb8d28">addConfig</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add any special config values to the system.  <a href="#a4ae62e34845caf94549cda6437cb8d28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a02062c11019d7b854c1328e8593ef98f">validateConfig</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Make sure all the extra options are valid.  <a href="#a02062c11019d7b854c1328e8593ef98f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a13017b897ec6fc9f735823efe782dd88">createWindow</a> (bool autoCreateWindow, <a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *renderSystem, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;windowTitle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a3cd7f1eef4ea8b8c842054c09540392b">newWindow</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, unsigned int width, unsigned int height, bool fullScreen, const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *miscParams=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#af96422a6bfebbca38c5e0d5159d229e3">start</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start anything special.  <a href="#af96422a6bfebbca38c5e0d5159d229e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a6d6b79a885f5688e1445bca13c3f83a7">stop</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop anything special.  <a href="#a6d6b79a885f5688e1445bca13c3f83a7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#a1a86f529392baa99271f5de15a3af444">getProcAddress</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;procname)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the address of a function.  <a href="#a1a86f529392baa99271f5de15a3af444"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">setConfigOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;value)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">getConfigOptions</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">supportsPBuffers</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">createPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> format, size_t width, size_t height)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">getGLVendor</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get vendor information.  <a href="#a605553feadb63b0b40e25cda379a21d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">getGLVersion</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get version information.  <a href="#abfca0d98cde4f5bed7f805adac5adc72"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">checkMinGLVersion</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;v) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Compare GL version numbers.  <a href="#a5ef47f21852bfd07b040327051a08b25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">checkExtension</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;ext) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if an extension is available.  <a href="#ae274ae289aba6e62d4409841bca4aab2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e">initialiseExtensions</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialises GL extensions, must be done AFTER the GL context has been established.  <a href="#a04cb4a54ce276a4088339aa4d97b6e0e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">getDisplayMonitorCount</a> () const </td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">mOptions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">extensionList</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">SDL_Rect **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SDLGLSupport.html#ac20fce1e868217053ce318e0d10b8b87">mVideoModes</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreSDLGLSupport_8h_source.html#l00010">10</a> of file <a class="el" href="OgreSDLGLSupport_8h_source.html">OgreSDLGLSupport.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a913d7bf7d6134fb76952cb12cb2db9da"></a><!-- doxytag: member="Ogre::SDLGLSupport::SDLGLSupport" ref="a913d7bf7d6134fb76952cb12cb2db9da" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SDLGLSupport.html#a913d7bf7d6134fb76952cb12cb2db9da">Ogre::SDLGLSupport::SDLGLSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a79554cf3dc82f082a1382d1dd2e5b48e"></a><!-- doxytag: member="Ogre::SDLGLSupport::~SDLGLSupport" ref="a79554cf3dc82f082a1382d1dd2e5b48e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SDLGLSupport.html#a79554cf3dc82f082a1382d1dd2e5b48e">Ogre::SDLGLSupport::~SDLGLSupport</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4ae62e34845caf94549cda6437cb8d28"></a><!-- doxytag: member="Ogre::SDLGLSupport::addConfig" ref="a4ae62e34845caf94549cda6437cb8d28" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SDLGLSupport.html#a4ae62e34845caf94549cda6437cb8d28">Ogre::SDLGLSupport::addConfig</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add any special config values to the system. </p>
<p>Must have a "Full Screen" value that is a bool and a "Video Mode" value that is a string in the form of wxh </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5768067351c51ef11ad40dc0717251bb">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="ae274ae289aba6e62d4409841bca4aab2"></a><!-- doxytag: member="Ogre::SDLGLSupport::checkExtension" ref="ae274ae289aba6e62d4409841bca4aab2" args="(const String &amp;ext) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLSupport.html#ae274ae289aba6e62d4409841bca4aab2">Ogre::GLSupport::checkExtension</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>ext</em></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if an extension is available. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GTKGLSupport.html#a670b7bdca00d8c60c3ddaf763b3e74b4">Ogre::GTKGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a5ef47f21852bfd07b040327051a08b25"></a><!-- doxytag: member="Ogre::SDLGLSupport::checkMinGLVersion" ref="a5ef47f21852bfd07b040327051a08b25" args="(const String &amp;v) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLSupport.html#a5ef47f21852bfd07b040327051a08b25">Ogre::GLSupport::checkMinGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Compare GL version numbers. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GTKGLSupport.html#a36e26ed10e5f16aded817ce67e7492fd">Ogre::GTKGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a91f992ff69e6590b89761cfafcaa6b28"></a><!-- doxytag: member="Ogre::SDLGLSupport::createPBuffer" ref="a91f992ff69e6590b89761cfafcaa6b28" args="(PixelComponentType format, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLPBuffer.html">GLPBuffer</a>* <a class="el" href="classOgre_1_1GLSupport.html#a91f992ff69e6590b89761cfafcaa6b28">Ogre::GLSupport::createPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#ac1d74576c1cb3e29c58c021e6881a628">Ogre::Win32GLSupport</a>, <a class="el" href="classOgre_1_1OSXGLSupport.html#a5e40ca5651332c06551f1bcd1036f099">Ogre::OSXGLSupport</a>, and <a class="el" href="classOgre_1_1GLXGLSupport.html#a41214274c410d4f7e1f40d9b09d06aa7">Ogre::GLXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a13017b897ec6fc9f735823efe782dd88"></a><!-- doxytag: member="Ogre::SDLGLSupport::createWindow" ref="a13017b897ec6fc9f735823efe782dd88" args="(bool autoCreateWindow, GLRenderSystem *renderSystem, const String &amp;windowTitle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1SDLGLSupport.html#a13017b897ec6fc9f735823efe782dd88">Ogre::SDLGLSupport::createWindow</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoCreateWindow</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLRenderSystem.html">GLRenderSystem</a> *&#160;</td>
          <td class="paramname"><em>renderSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>windowTitle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8d0df0814578018a78a8f890fd8ad21b">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a7cb341968e2e1fec161f0a596adfad56"></a><!-- doxytag: member="Ogre::SDLGLSupport::getConfigOptions" ref="a7cb341968e2e1fec161f0a596adfad56" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a7cb341968e2e1fec161f0a596adfad56">Ogre::GLSupport::getConfigOptions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a379f629aae4ba8ea96943936df5c31ab"></a><!-- doxytag: member="Ogre::SDLGLSupport::getDisplayMonitorCount" ref="a379f629aae4ba8ea96943936df5c31ab" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual unsigned int <a class="el" href="classOgre_1_1GLSupport.html#a379f629aae4ba8ea96943936df5c31ab">Ogre::GLSupport::getDisplayMonitorCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Gets the number of display monitors. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Root.html#aee8523d20d3d69a6cf39ed0499663a52" title="Gets the number of display monitors.">Root::getDisplayMonitorCount</a> </dd></dl>
 
<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a2ed2be7b36585cacf6b9cecdc0205554">Ogre::Win32GLSupport</a>.</p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00118">118</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a605553feadb63b0b40e25cda379a21d8"></a><!-- doxytag: member="Ogre::SDLGLSupport::getGLVendor" ref="a605553feadb63b0b40e25cda379a21d8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#a605553feadb63b0b40e25cda379a21d8">Ogre::GLSupport::getGLVendor</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get vendor information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="abfca0d98cde4f5bed7f805adac5adc72"></a><!-- doxytag: member="Ogre::SDLGLSupport::getGLVersion" ref="abfca0d98cde4f5bed7f805adac5adc72" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1GLSupport.html#abfca0d98cde4f5bed7f805adac5adc72">Ogre::GLSupport::getGLVersion</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get version information. </p>

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00093">93</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1a86f529392baa99271f5de15a3af444"></a><!-- doxytag: member="Ogre::SDLGLSupport::getProcAddress" ref="a1a86f529392baa99271f5de15a3af444" args="(const String &amp;procname)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1SDLGLSupport.html#a1a86f529392baa99271f5de15a3af444">Ogre::SDLGLSupport::getProcAddress</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>procname</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the address of a function. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8178f7c197f702846d213ade4669bfa1">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a04cb4a54ce276a4088339aa4d97b6e0e"></a><!-- doxytag: member="Ogre::SDLGLSupport::initialiseExtensions" ref="a04cb4a54ce276a4088339aa4d97b6e0e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLSupport.html#a04cb4a54ce276a4088339aa4d97b6e0e">Ogre::GLSupport::initialiseExtensions</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialises GL extensions, must be done AFTER the GL context has been established. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a8112c533f5ae251d9df5aa6b99b75aa1">Ogre::Win32GLSupport</a>, <a class="el" href="classOgre_1_1GTKGLSupport.html#ad5810ecfd4497986d8427faa2e60ad60">Ogre::GTKGLSupport</a>, and <a class="el" href="classOgre_1_1GLXGLSupport.html#ac053dc17e686c736008552b1a9ec942d">Ogre::GLXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a3cd7f1eef4ea8b8c842054c09540392b"></a><!-- doxytag: member="Ogre::SDLGLSupport::newWindow" ref="a3cd7f1eef4ea8b8c842054c09540392b" args="(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderWindow.html">RenderWindow</a>* <a class="el" href="classOgre_1_1SDLGLSupport.html#a3cd7f1eef4ea8b8c842054c09540392b">Ogre::SDLGLSupport::newWindow</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>fullScreen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> *&#160;</td>
          <td class="paramname"><em>miscParams</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
 
<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#abb8f80ec1b1bd562672c5eb33352e9f9">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="abf6d4613a3d5bb3fa01cfcdd165d218f"></a><!-- doxytag: member="Ogre::SDLGLSupport::setConfigOption" ref="abf6d4613a3d5bb3fa01cfcdd165d218f" args="(const String &amp;name, const String &amp;value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLSupport.html#abf6d4613a3d5bb3fa01cfcdd165d218f">Ogre::GLSupport::setConfigOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a43ab2c268ec21fab487ebc0ffdbe0271">Ogre::Win32GLSupport</a>, and <a class="el" href="classOgre_1_1GLXGLSupport.html#a2e5252c7b29e1989cc510285929353e1">Ogre::GLXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="af96422a6bfebbca38c5e0d5159d229e3"></a><!-- doxytag: member="Ogre::SDLGLSupport::start" ref="af96422a6bfebbca38c5e0d5159d229e3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SDLGLSupport.html#af96422a6bfebbca38c5e0d5159d229e3">Ogre::SDLGLSupport::start</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start anything special. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a879f0cb8c332e623613a9837bb994800">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a6d6b79a885f5688e1445bca13c3f83a7"></a><!-- doxytag: member="Ogre::SDLGLSupport::stop" ref="a6d6b79a885f5688e1445bca13c3f83a7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1SDLGLSupport.html#a6d6b79a885f5688e1445bca13c3f83a7">Ogre::SDLGLSupport::stop</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop anything special. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a8900222e86476441b4742ceb1fd37293">Ogre::GLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a46265aefdd9034f45b839c40142ad1b8"></a><!-- doxytag: member="Ogre::SDLGLSupport::supportsPBuffers" ref="a46265aefdd9034f45b839c40142ad1b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLSupport.html#a46265aefdd9034f45b839c40142ad1b8">Ogre::GLSupport::supportsPBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32GLSupport.html#a1fdbb26a63f85157bee76ebfd3c0a600">Ogre::Win32GLSupport</a>, and <a class="el" href="classOgre_1_1OSXGLSupport.html#a208ec75ef634c6cfbdf2a796b91e3923">Ogre::OSXGLSupport</a>.</p>

</div>
</div>
<a class="anchor" id="a02062c11019d7b854c1328e8593ef98f"></a><!-- doxytag: member="Ogre::SDLGLSupport::validateConfig" ref="a02062c11019d7b854c1328e8593ef98f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1SDLGLSupport.html#a02062c11019d7b854c1328e8593ef98f">Ogre::SDLGLSupport::validateConfig</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Make sure all the extra options are valid. </p>

<p>Implements <a class="el" href="classOgre_1_1GLSupport.html#a5c715eb0c3cad1f1dd89ddf8acc7867b">Ogre::GLSupport</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a0f3a8ac4a209aea9ef22b5aa4a40fcd7"></a><!-- doxytag: member="Ogre::SDLGLSupport::extensionList" ref="a0f3a8ac4a209aea9ef22b5aa4a40fcd7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt;::type <a class="el" href="classOgre_1_1GLSupport.html#a0f3a8ac4a209aea9ef22b5aa4a40fcd7">Ogre::GLSupport::extensionList</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00128">128</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b5c4f15e6fee184e059f11790cb30b5"></a><!-- doxytag: member="Ogre::SDLGLSupport::mOptions" ref="a5b5c4f15e6fee184e059f11790cb30b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gafba22dbf34cd07633293ddba65ee6add">ConfigOptionMap</a> <a class="el" href="classOgre_1_1GLSupport.html#a5b5c4f15e6fee184e059f11790cb30b5">Ogre::GLSupport::mOptions</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLSupport_8h_source.html#l00125">125</a> of file <a class="el" href="OgreGLSupport_8h_source.html">OgreGLSupport.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac20fce1e868217053ce318e0d10b8b87"></a><!-- doxytag: member="Ogre::SDLGLSupport::mVideoModes" ref="ac20fce1e868217053ce318e0d10b8b87" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Rect** <a class="el" href="classOgre_1_1SDLGLSupport.html#ac20fce1e868217053ce318e0d10b8b87">Ogre::SDLGLSupport::mVideoModes</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSDLGLSupport_8h_source.html#l00048">48</a> of file <a class="el" href="OgreSDLGLSupport_8h_source.html">OgreSDLGLSupport.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSDLGLSupport_8h_source.html">OgreSDLGLSupport.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:20
</p>
</body>
</html>
